Skip to content
Basenet
🇳🇱 Nederlands
Esc
↑↓navigate↵open⌘Jpreview

Add another legal-aid grant (toevoeging) to a matter; it becomes the active grant billing runs through (scope billing:write; billing update required).

POST/api/v1/matters/{id}/legal-aid
Authorization
AuthorizationBearer token · headerrequired

Scoped API token (bnx_…). Required scopes are noted per operation.

Path parameters
idstringrequired
min length 1
Request body
application/json
boardRelationIdstring | null
legalAidNumberstring | null
notestring | null
typestring | null
caseCategorystring | null
pointsnumber | null

Granted legal-aid points, represented to at most two decimal places.

min 0 · max 2147483647
basicChargeCentsinteger | null
travelTimeCentsinteger | null
travelCostCentsinteger | null
standardCostsCentsinteger | null
ownContributionCentsinteger | null
legalServicesReimbursementCentsinteger | null
dateRequestedstring | null
dateAssignedstring | null
firstDecisionDatestring | null
hourlyFromstring | nullrequired
requireTypeboolean
Responses
201

Legal-aid record with the new grant active

presentbooleanrequired
matterIdstringrequired
idstring | nullrequired
isActivebooleanrequired
boardRelationIdstring | nullrequired
legalAidNumberstring | nullrequired
notestring | nullrequired
typestring | nullrequired
caseCategorystring | nullrequired
pointsnumber | nullrequired

Granted legal-aid points, represented to at most two decimal places.

basicChargeCentsinteger | nullrequired
travelTimeCentsinteger | nullrequired
travelCostCentsinteger | nullrequired
standardCostsCentsinteger | nullrequired
ownContributionCentsinteger | nullrequired
ownContributionInvoicedCentsinteger | nullrequired
legalServicesReimbursementCentsinteger | nullrequired
budgetCentsinteger | nullrequired
dateRequestedstring | nullrequired
dateAssignedstring | nullrequired
firstDecisionDatestring | nullrequired
hourlyFromstring | nullrequired
continuesAsHoursMatterbooleanrequired

Deprecated: derived as hourlyFrom !== null. Prefer hourlyFrom for the dated switch.

createdAtstring | nullrequired
updatedAtstring | nullrequired
grantsobject[]required
Show properties
Array of object
idstringrequired
isActivebooleanrequired
boardRelationIdstring | nullrequired
legalAidNumberstring | nullrequired
notestring | nullrequired
typestring | nullrequired
caseCategorystring | nullrequired
pointsnumber | nullrequired

Granted legal-aid points, represented to at most two decimal places.

basicChargeCentsinteger | nullrequired
travelTimeCentsinteger | nullrequired
travelCostCentsinteger | nullrequired
standardCostsCentsinteger | nullrequired
ownContributionCentsinteger | nullrequired
ownContributionInvoicedCentsinteger | nullrequired
legalServicesReimbursementCentsinteger | nullrequired
dateRequestedstring | nullrequired
dateAssignedstring | nullrequired
firstDecisionDatestring | nullrequired
hourlyFromstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
400

Invalid request

errorstringrequired
codestringrequired
rulestring
401

Unauthenticated

errorstringrequired
codestringrequired
rulestring
403

Forbidden (missing scope or permission)

errorstringrequired
codestringrequired
rulestring
404

Not found

errorstringrequired
codestringrequired
rulestring
429

Rate limited

errorstringrequired
codestringrequired
rulestring
Request
curl -X POST '/api/v1/matters/string/legal-aid' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "boardRelationId": "string",
  "legalAidNumber": "string",
  "note": "string",
  "type": "string",
  "caseCategory": "string",
  "points": 0,
  "basicChargeCents": 0,
  "travelTimeCents": 0,
  "travelCostCents": 0,
  "standardCostsCents": 0,
  "ownContributionCents": 0,
  "legalServicesReimbursementCents": 0,
  "dateRequested": "string",
  "dateAssigned": "string",
  "firstDecisionDate": "string",
  "hourlyFrom": "string",
  "requireType": true
}'
Response
{
  "present": true,
  "matterId": "string",
  "id": "string",
  "isActive": true,
  "boardRelationId": "string",
  "legalAidNumber": "string",
  "note": "string",
  "type": "string",
  "caseCategory": "string",
  "points": 0,
  "basicChargeCents": 0,
  "travelTimeCents": 0,
  "travelCostCents": 0,
  "standardCostsCents": 0,
  "ownContributionCents": 0,
  "ownContributionInvoicedCents": 0,
  "legalServicesReimbursementCents": 0,
  "budgetCents": 0,
  "dateRequested": "string",
  "dateAssigned": "string",
  "firstDecisionDate": "string",
  "hourlyFrom": "string",
  "continuesAsHoursMatter": true,
  "createdAt": "string",
  "updatedAt": "string",
  "grants": [
    {
      "id": "string",
      "isActive": true,
      "boardRelationId": "string",
      "legalAidNumber": "string",
      "note": "string",
      "type": "string",
      "caseCategory": "string",
      "points": 0,
      "basicChargeCents": 0,
      "travelTimeCents": 0,
      "travelCostCents": 0,
      "standardCostsCents": 0,
      "ownContributionCents": 0,
      "ownContributionInvoicedCents": 0,
      "legalServicesReimbursementCents": 0,
      "dateRequested": "string",
      "dateAssigned": "string",
      "firstDecisionDate": "string",
      "hourlyFrom": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}